MPD: command/PlayerCommands.hxx File Reference

MPD 0.20.18

Functions
PlayerCommands.hxx File Reference
`#include "CommandResult.hxx"`
Include dependency graph for PlayerCommands.hxx:

Go to the source code of this file.

## Functions
CommandResult | handle_play (Client &client, Request request, Response &response)
CommandResult | handle_playid (Client &client, Request request, Response &response)
CommandResult | handle_stop (Client &client, Request request, Response &response)
CommandResult | handle_currentsong (Client &client, Request request, Response &response)
CommandResult | handle_pause (Client &client, Request request, Response &response)
CommandResult | handle_status (Client &client, Request request, Response &response)
CommandResult | handle_next (Client &client, Request request, Response &response)
CommandResult | handle_previous (Client &client, Request request, Response &response)
CommandResult | handle_repeat (Client &client, Request request, Response &response)
CommandResult | handle_single (Client &client, Request request, Response &response)
CommandResult | handle_consume (Client &client, Request request, Response &response)
CommandResult | handle_random (Client &client, Request request, Response &response)
CommandResult | handle_clearerror (Client &client, Request request, Response &response)
CommandResult | handle_seek (Client &client, Request request, Response &response)
CommandResult | handle_seekid (Client &client, Request request, Response &response)
CommandResult | handle_seekcur (Client &client, Request request, Response &response)
CommandResult | handle_crossfade (Client &client, Request request, Response &response)
CommandResult | handle_mixrampdb (Client &client, Request request, Response &response)
CommandResult | handle_mixrampdelay (Client &client, Request request, Response &response)
CommandResult | handle_replay_gain_mode (Client &client, Request request, Response &response)
CommandResult | handle_replay_gain_status (Client &client, Request request, Response &response)

## Function Documentation

## ◆ handle_clearerror()

CommandResult handle_clearerror | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_consume()

CommandResult handle_consume | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_crossfade()

CommandResult handle_crossfade | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_currentsong()

CommandResult handle_currentsong | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_mixrampdb()

CommandResult handle_mixrampdb | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_mixrampdelay()

CommandResult handle_mixrampdelay | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_next()

CommandResult handle_next | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_pause()

CommandResult handle_pause | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_play()

CommandResult handle_play | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playid()

CommandResult handle_playid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_previous()

CommandResult handle_previous | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_random()

CommandResult handle_random | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_repeat()

CommandResult handle_repeat | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_replay_gain_mode()

CommandResult handle_replay_gain_mode | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_replay_gain_status()

CommandResult handle_replay_gain_status | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_seek()

CommandResult handle_seek | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_seekcur()

CommandResult handle_seekcur | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_seekid()

CommandResult handle_seekid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_single()

CommandResult handle_single | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_status()

CommandResult handle_status | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_stop()

CommandResult handle_stop | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |